mxCellPath (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.model
Class mxCellPath

    java.lang.Object
      com.mxgraph.model.mxCellPath

    public class mxCellPath

extends Object

Implements a mechanism for temporary cell Ids.

Field Summary
`static String` | `PATH_SEPARATOR` Defines the separator between the path components.

Constructor Summary
`mxCellPath()`

Method Summary
`static int` | `compare(String cp1, String cp2)` Compares the given cell paths and returns -1 if cp1 is smaller, 0 if cp1 is equal and 1 if cp1 is greater than cp2.
`static String` | `create(mxICell cell)` Creates the cell path for the given cell.
`static String` | `getParentPath(String path)` Returns the path for the parent of the cell represented by the given path.
`static mxICell` | `resolve(mxICell root, String path)` Returns the cell for the specified cell path using the given root as the root of the path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PATH_SEPARATOR

    public static String PATH_SEPARATOR

  Defines the separator between the path components. Default is `.`.

Constructor Detail

### mxCellPath

    public mxCellPath()

Method Detail

### create

    public static String create(mxICell cell)

  Creates the cell path for the given cell. The cell path is a concatenation of the indices of all cells on the (finite) path to the root, eg. "0.0.0.1".

  Parameters:
    `cell` - Cell whose path should be returned.
  Returns:
    Returns the string that represents the path.

### getParentPath

    public static String getParentPath(String path)

  Returns the path for the parent of the cell represented by the given path. Returns null if the given path has no parent.

  Parameters:
    `path` - Path whose parent path should be returned.

### resolve

    public static mxICell resolve(mxICell root,
                                  String path)

  Returns the cell for the specified cell path using the given root as the root of the path.

  Parameters:
    `root` - Root cell of the path to be resolved.
    `path` - String that defines the path.
  Returns:
    Returns the cell that is defined by the path.

### compare

    public static int compare(String cp1,
                              String cp2)

  Compares the given cell paths and returns -1 if cp1 is smaller, 0 if cp1 is equal and 1 if cp1 is greater than cp2.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.